%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdenetwork
%define VER 2.1.1
%define DATE 20010227
%define is_release 1
%define is_preview 0

%if %{is_preview}
Name: %{pkg}2
Requires: kdesupport2
Prefix: /usr/lib/kde2
%else
Name: %{pkg}
Requires: kdesupport
Prefix: /usr
%endif
Icon: kde-icon.xpm
Summary: K Desktop Environment - Network Applications
%if %{is_release}
Version: %{VER}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}.tar.bz2
%else
Version: %{VER}.%{DATE}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{DATE}.tar.bz2
%endif
Obsoletes: kdenetwork2
Source1: kppp.pamd
Patch1: kdenetwork-2.1-procmail.patch
Release: 1
Epoch: 7
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{pkg}-buildroot
Copyright: GPL
Requires: qt >= 2.2.3 kdelibs >= 2.1 XFree86 XFree86-libs glibc
Requires(post,postun): /sbin/ldconfig
ExcludeArch: sparc
Autoreq: no

%package ppp
Summary: K Desktop Environment - PPP Network Applications
Group: Applications/Internet
Requires: usermode

%description
Networking applications for the K Desktop Environment.

%description ppp
PPP Networking applications for the K Desktop Environment.

Install kdenetwork-ppp if you intend to use KDE on a machine using
PPP networking.

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q
%else
%setup -q -n %{pkg}
%endif
%patch1 -p1 -b .procmail
make -f Makefile.cvs

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="-D_GNU_SOURCE"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
[ "$CPUS" -gt 2 ] && CPUS=2
%ifnarch alpha
CFLAGS="$FLAGS $RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" CXXFLAGS="$FLAGS $RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-check-new" \
%else
CFLAGS="$FLAGS" CXXFLAGS="$FLAGS" \
%endif
./configure --prefix=%{prefix} \
%if %{is_preview} == 0
	--includedir=%{prefix}/include/kde
%endif

make -j $CPUS

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/kppp

# fix dangling symbolic links
(
  mkdir -p $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/common
  cd $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en
  for i in keystone kit kmail knewsticker knode korn ksirc ktalkd ; do
    cd $i && ln -nfs ../common .
    cd ..
  done
)

# Run kppp through consolehelper
mkdir -p $RPM_BUILD_ROOT%{prefix}/sbin
mv $RPM_BUILD_ROOT%{prefix}/bin/kppp $RPM_BUILD_ROOT%{prefix}/sbin
ln -s consolehelper $RPM_BUILD_ROOT%{prefix}/bin/kppp
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
cat >$RPM_BUILD_ROOT/etc/security/console.apps/kppp <<EOF
USER=root
PROGRAM=/usr/sbin/kppp
SESSION=true
EOF

# Configure kmail so we can send mail by default
cat >$RPM_BUILD_ROOT/usr/share/config/kmailrc <<EOF
[sending mail]
Mailer=/usr/sbin/sendmail
Method=mail
EOF

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{pkg} 

%files
%defattr(-,root,root)
%{prefix}/bin/*irc*
# %{prefix}/bin/keystone
%{prefix}/bin/kit
%{prefix}/bin/*mail*
%{prefix}/bin/*ticker*
%{prefix}/bin/*node*
%{prefix}/bin/korn
%{prefix}/bin/*talk*
%{prefix}/bin/*lisa*
%{prefix}/lib/kde2/*
%{prefix}/lib/*.*
%{prefix}/share/applnk/.hidden/*
%{prefix}/share/applnk/Internet/KMail.desktop
%{prefix}/share/applnk/Internet/KNode.desktop
%{prefix}/share/applnk/Internet/KOrn.desktop
# %{prefix}/share/applnk/Internet/keystone.desktop
%{prefix}/share/applnk/Internet/kit.desktop
%{prefix}/share/applnk/Internet/ksirc.desktop
%{prefix}/share/applnk/Settings/Network/*
%{prefix}/share/applnk/Settings/Personalization/*
%{prefix}/share/applnk/Utilities/*
# %{prefix}/share/apps/keystone
%{prefix}/share/apps/kicker/applets/*
%{prefix}/share/apps/kit
%{prefix}/share/apps/kmail
%{prefix}/share/apps/knewsticker
%{prefix}/share/apps/knode
%{prefix}/share/apps/konqueror/dirtree/remote/*
%{prefix}/share/apps/ksirc
%{prefix}/share/apps/lisa
%{prefix}/share/services/*
%{prefix}/share/sounds/*
%config /usr/share/config/*rc
%config /usr/share/config/protocols/*
%{prefix}/share/icons/*/*/*/*
%{prefix}/include/kde/kmailIface.h
# %doc %{_docdir}/HTML/en/keystone
%doc %{_docdir}/HTML/en/kit
%doc %{_docdir}/HTML/en/kmail
%doc %{_docdir}/HTML/en/knewsticker
%doc %{_docdir}/HTML/en/knode
%doc %{_docdir}/HTML/en/korn
%doc %{_docdir}/HTML/en/ksirc
%doc %{_docdir}/HTML/en/ktalkd

%files ppp
%defattr(-,root,root)
%{prefix}/bin/kppp*
%{prefix}/sbin/kppp
%{prefix}/share/applnk/Internet/*ppp*
%{prefix}/share/apps/*ppp*
%{prefix}/share/icons/*/*/*/*ppp*
%doc %{_docdir}/HTML/en/kppp
%config /etc/security/console.apps/kppp
%config /etc/pam.d/kppp

%changelog
* Tue Mar 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1

* Fri Mar 16 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-6
- Use lockfile -ml and lockfile -mu for kmail locking,
  Patch from pgampe@redhat.com (#31736)
- Don't include keystone, it's broken

* Mon Mar 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- /etc/kde -> /usr/share/config
- Don't include kdenetwork-ppp's desktop files in kdenetwork base
  package (#30800)
- Rebuild to get rid of openssl 0.9.5 requirement
- Fix up kmail defaults

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't own standard directories
- Add fix for charset handling in kmail from CVS
- /usr/share/config -> /etc/kde

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin

* Mon Feb 19 2001 Than Ngo <than@redhat.com>
- update 2.1
- fix dangling symlinks

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Limit CPU usage to 2 CPUs to make asok happy

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't require perl, not everyone using ksirc is also using
  ksirc perl scripting...

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update (needed because of kdelibs change)
- Obsolete kdenetwork2 (from 7.0 preview)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing PAM file, fix group

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to HEAD 

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS (fix kmail segfault with empty identity)

* Tue Oct 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up consolehelper config

* Mon Oct 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current KDE_2_0_BRANCH (this should fix up knode)
- Run kppp through consolehelper (Bug #20021)
- Split of kppp and kppplog to a separate package, kdenetwork-ppp
  (RFE #20022)

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- disable keystone for now (compiler problem)

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt with glibc-2.1.92-14 and gcc-2.96-40

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete ktalk (powertools 6.x)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Epoch

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Mon Oct 25 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- initial RPM
